#include <stdio.h>

int main() {
    int number = 0;
    int maxNumber = 0;
    int numbers[100];
    int count = 0;
    char input[100];
    int validInput = 0;

    while (1) {
        printf("Bitte geben Sie eine Zahl ein (oder 'b' um zu beenden):\n ");
        scanf("%s", input);
        while (getchar() != '\n');

        if (input[0] == 'b' && input[1] == '\0') {
            if (count == 0) {
                printf("Fehler: Keine Zahl eingegeben. Bitte geben Sie mindestens eine Zahl ein.\n");

            } else {
                break;
            }
        } else {
            if (sscanf(input, "%d", &number) == 1) {
                numbers[count++] = number;
                if (count == 1 || number > maxNumber) {
                    maxNumber = number;
                }
                validInput = 1;
            } else {
                printf("Ungueltige Eingabe. Bitte geben Sie eine gueltige Zahl ein.\n");
            }
        }
    }

    if (validInput) {
        printf("Eingegebene Zahlen: ");
        for (int i = 0; i < count; i++) {
            printf("%d ", numbers[i]);
        }
        printf("\nDie groesste eingegebene Zahl ist: %d\n", maxNumber);
    }

    return 0;
}
